UrlMappingsHandlerMapping (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.web.mapping.mvc

## [Groovy] Class UrlMappingsHandlerMapping

- org.grails.web.mapping.mvc.UrlMappingsHandlerMapping

- Spring MVC org.springframework.web.servlet.HandlerMapping to match requests onto Grails controllers

  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `UrlMappingsHandlerMapping.ErrorHandlingHandler` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `MATCHED_REQUEST` |
    `protected MimeTypeResolver` | `mimeTypeResolver` |
    `protected org.springframework.web.util.UrlPathHelper` | `urlHelper` |
    `protected UrlMappingsHolder` | `urlMappingsHolder` |
    `protected org.springframework.web.servlet.HandlerInterceptor[]` | `webRequestHandlerInterceptors` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.handler.AbstractHandlerMapping` | `PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, URI_TEMPLATE_VARIABLES_ATTRIBUTE, MATRIX_VARIABLES_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingsHandlerMapping (UrlMappingsHolder urlMappingsHolder)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `findRequestedVersion(GrailsWebRequest currentRequest)`
    `` | `protected org.springframework.web.servlet.HandlerExecutionChain` | `getHandlerExecutionChain(java.lang.Object handler, javax.servlet.http.HttpServletRequest request)`
    `` | `protected java.lang.Object` | `getHandlerInternal(javax.servlet.http.HttpServletRequest request)`
    `` | `protected org.springframework.web.servlet.handler.MappedInterceptor` | `mappedInterceptor(org.springframework.web.servlet.HandlerInterceptor interceptor)`
    `` | `void` | `setGrailsCorsConfiguration(GrailsCorsConfiguration grailsCorsConfiguration)`
    `` | `void` | `setHandlerInterceptors(org.springframework.web.servlet.HandlerInterceptor[] handlerInterceptors)`
    `` | `void` | `setMimeTypeResolver(MimeTypeResolver mimeTypeResolver)`
    `` | `void` | `setWebRequestInterceptors(org.springframework.web.context.request.WebRequestInterceptor[] webRequestInterceptors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.handler.AbstractHandlerMapping` | `org.springframework.web.servlet.handler.AbstractHandlerMapping#getPathMatcher(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.web.servlet.handler.AbstractHandlerMapping#getOrder(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setOrder(int), org.springframework.web.servlet.handler.AbstractHandlerMapping#setCorsProcessor(org.springframework.web.cors.CorsProcessor), org.springframework.web.servlet.handler.AbstractHandlerMapping#setRemoveSemicolonContent(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setUrlPathHelper(org.springframework.web.util.UrlPathHelper), org.springframework.web.servlet.handler.AbstractHandlerMapping#setCorsConfigurations(java.util.Map), org.springframework.web.servlet.handler.AbstractHandlerMapping#getCorsConfigurations(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setDefaultHandler(java.lang.Object), org.springframework.web.servlet.handler.AbstractHandlerMapping#getDefaultHandler(), org.springframework.web.servlet.handler.AbstractHandlerMapping#getUrlPathHelper(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setInterceptors([Ljava.lang.Object;), org.springframework.web.servlet.handler.AbstractHandlerMapping#getCorsProcessor(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setAlwaysUseFullPath(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setUrlDecode(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#getHandler(javax.servlet.http.HttpServletRequest), org.springframework.web.servlet.handler.AbstractHandlerMapping#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.handler.AbstractHandlerMapping#getApplicationContext(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(long, int), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(long), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(), org.springframework.web.servlet.handler.AbstractHandlerMapping#equals(java.lang.Object), org.springframework.web.servlet.handler.AbstractHandlerMapping#toString(), org.springframework.web.servlet.handler.AbstractHandlerMapping#hashCode(), org.springframework.web.servlet.handler.AbstractHandlerMapping#getClass(), org.springframework.web.servlet.handler.AbstractHandlerMapping#notify(), org.springframework.web.servlet.handler.AbstractHandlerMapping#notifyAll()`
    `class org.springframework.web.context.support.WebApplicationObjectSupport` | `org.springframework.web.context.support.WebApplicationObjectSupport#setServletContext(javax.servlet.ServletContext), org.springframework.web.context.support.WebApplicationObjectSupport#getApplicationContext(), org.springframework.web.context.support.WebApplicationObjectSupport#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.context.support.WebApplicationObjectSupport#wait(long, int), org.springframework.web.context.support.WebApplicationObjectSupport#wait(long), org.springframework.web.context.support.WebApplicationObjectSupport#wait(), org.springframework.web.context.support.WebApplicationObjectSupport#equals(java.lang.Object), org.springframework.web.context.support.WebApplicationObjectSupport#toString(), org.springframework.web.context.support.WebApplicationObjectSupport#hashCode(), org.springframework.web.context.support.WebApplicationObjectSupport#getClass(), org.springframework.web.context.support.WebApplicationObjectSupport#notify(), org.springframework.web.context.support.WebApplicationObjectSupport#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String MATCHED_REQUEST

    - #### protected MimeTypeResolver mimeTypeResolver

    - #### protected org.springframework.web.util.UrlPathHelper urlHelper

    - #### protected UrlMappingsHolder urlMappingsHolder

    - #### protected org.springframework.web.servlet.HandlerInterceptor[] webRequestHandlerInterceptors

  - ### Constructor Detail

    - #### UrlMappingsHandlerMapping(UrlMappingsHolder urlMappingsHolder)

  - ### Method Detail

    - #### protected java.lang.String findRequestedVersion(GrailsWebRequest currentRequest)

    - #### @java.lang.Override protected org.springframework.web.servlet.HandlerExecutionChain getHandlerExecutionChain(java.lang.Object handler, javax.servlet.http.HttpServletRequest request)

    - #### @java.lang.Override protected java.lang.Object getHandlerInternal(javax.servlet.http.HttpServletRequest request)

    - #### @groovy.transform.CompileDynamic protected org.springframework.web.servlet.handler.MappedInterceptor mappedInterceptor(org.springframework.web.servlet.HandlerInterceptor interceptor)

    - #### void setGrailsCorsConfiguration(GrailsCorsConfiguration grailsCorsConfiguration)

    - #### @org.springframework.beans.factory.annotation.Autowired void setHandlerInterceptors(org.springframework.web.servlet.HandlerInterceptor[] handlerInterceptors)

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setMimeTypeResolver(MimeTypeResolver mimeTypeResolver)

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setWebRequestInterceptors(org.springframework.web.context.request.WebRequestInterceptor[] webRequestInterceptors)